Bug 2266733 - Review Request: rust-circular-buffer - Efficient, fixed-size, overwriting circular buffer
Summary: Review Request: rust-circular-buffer - Efficient, fixed-size, overwriting cir...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL: https://crates.io/crates/circular-buffer
Whiteboard:
Depends On: 2266726
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-02-28 20:59 UTC by Ben Beasley
Modified: 2024-04-19 21:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-05 17:42:21 UTC
Type: Bug
Embargoed:
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Ben Beasley 2024-02-28 20:59:03 UTC
Spec URL: https://music.fedorapeople.org/rust-circular-buffer.spec
SRPM URL: https://music.fedorapeople.org/rust-circular-buffer-0.1.6-1.fc39.src.rpm

Description:

Efficient, fixed-size, overwriting circular buffer.

Fedora Account System Username: music

This is a dependency for bpftop.

Comment 1 Fedora Review Service 2024-02-28 21:01:28 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/7084399
(failed)

Build log:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2266733-rust-circular-buffer/fedora-rawhide-x86_64/07084399-rust-circular-buffer/builder-live.log.gz

Please make sure the package builds successfully at least for Fedora Rawhide.

- If the build failed for unrelated reasons (e.g. temporary network
  unavailability), please ignore it.
- If the build failed because of missing BuildRequires, please make sure they
  are listed in the "Depends On" field


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Fabio Valentini 2024-03-14 15:49:39 UTC
> # FIXME: no license files detected

It looks like you missed this?

Comment 3 Ben Beasley 2024-03-14 16:19:59 UTC
(In reply to Fabio Valentini from comment #2)
> > # FIXME: no license files detected
> 
> It looks like you missed this?

Ouch! I’ll correct that and re-upload.

Comment 4 Ben Beasley 2024-03-14 16:41:53 UTC
The upstream git repository at https://github.com/andreacorbellini/rust-circular-buffer has no license text at all, so I filed https://github.com/andreacorbellini/rust-circular-buffer/issues/14. I’d rather not guess at the correct text, as technically allowed in https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/#_license_text, so I’m hoping upstream responds fairly promptly.

Comment 5 Ben Beasley 2024-03-14 16:45:38 UTC
Once the license text issue is dealt with, I plan to generate the new submission with rust2rpm 26 and the following rust2rpm.toml:

[package]
cargo-toml-patch-comments = [
    "Drop dev dependency on the criterion crate, which is used only for benchmarks",
]
[features]
hide = [
    "unstable",
]

Comment 7 Fedora Review Service 2024-03-18 23:49:37 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/7179818
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2266733-rust-circular-buffer/fedora-rawhide-x86_64/07179818-rust-circular-buffer/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 8 Ben Beasley 2024-04-03 18:03:32 UTC
(In reply to Fabio Valentini from comment #2)
> > # FIXME: no license files detected
> 
> It looks like you missed this?

No big hurry, but just a reminder that this is now reviewable.

Comment 9 Fabio Valentini 2024-04-05 14:52:37 UTC
Sorry for the delay, been working on time-critical stuff (GNOME+Rust stuff that is blocking the F40 release).

Package looks good now, thank you!

===

Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- latest version of the crate is packaged
- license matches upstream specification and is acceptable for Fedora
- license file is included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

Recommended post-import rust-sig tasks:

- set up package on release-monitoring.org:
  project: $crate
  homepage: https://crates.io/crates/$crate
  backend: crates.io
  version scheme: semantic
  version filter: alpha;beta;rc;pre
  distro: Fedora
  Package: rust-$crate

- add @rust-sig with "commit" access as package co-maintainer
  (should happen automatically)

- set bugzilla assignee overrides to @rust-sig (optional)

- track package in koschei for all built branches
  (should happen automatically once rust-sig is co-maintainer)

Comment 10 Ben Beasley 2024-04-05 17:24:01 UTC
Thanks!

Comment 11 Fedora Admin user for bugzilla script actions 2024-04-05 17:24:33 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-circular-buffer

Comment 12 Ben Beasley 2024-04-05 17:29:51 UTC
https://release-monitoring.org/project/371961/

Comment 13 Fedora Update System 2024-04-05 17:39:19 UTC
FEDORA-2024-2b6fc623b0 (rust-circular-buffer-0.1.7-3.fc41) has been submitted as an update to Fedora 41.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-2b6fc623b0

Comment 14 Fedora Update System 2024-04-05 17:42:21 UTC
FEDORA-2024-2b6fc623b0 (rust-circular-buffer-0.1.7-3.fc41) has been pushed to the Fedora 41 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2024-04-05 18:34:07 UTC
FEDORA-2024-5ed72f1c81 (rust-circular-buffer-0.1.7-3.fc40 and rust-drop-tracker-0.1.3-2.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-5ed72f1c81

Comment 16 Fedora Update System 2024-04-05 18:34:41 UTC
FEDORA-2024-267d66d22c (rust-circular-buffer-0.1.7-3.fc39 and rust-drop-tracker-0.1.3-2.fc39) has been submitted as an update to Fedora 39.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-267d66d22c

Comment 17 Fedora Update System 2024-04-05 19:14:00 UTC
FEDORA-2024-c635a7ad05 (rust-circular-buffer-0.1.7-3.fc38 and rust-drop-tracker-0.1.3-2.fc38) has been submitted as an update to Fedora 38.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-c635a7ad05

Comment 18 Fedora Update System 2024-04-06 01:04:28 UTC
FEDORA-2024-5ed72f1c81 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-5ed72f1c81 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-5ed72f1c81

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2024-04-06 01:10:54 UTC
FEDORA-2024-267d66d22c has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-267d66d22c \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-267d66d22c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2024-04-06 01:59:28 UTC
FEDORA-2024-c635a7ad05 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-c635a7ad05`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-c635a7ad05

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2024-04-14 01:36:06 UTC
FEDORA-2024-267d66d22c (rust-circular-buffer-0.1.7-3.fc39 and rust-drop-tracker-0.1.3-2.fc39) has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2024-04-14 03:08:14 UTC
FEDORA-2024-c635a7ad05 (rust-circular-buffer-0.1.7-3.fc38 and rust-drop-tracker-0.1.3-2.fc38) has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2024-04-19 21:30:32 UTC
FEDORA-2024-5ed72f1c81 (rust-circular-buffer-0.1.7-3.fc40 and rust-drop-tracker-0.1.3-2.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.